# BEGIN COPYRIGHT BLOCK
# Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
# Copyright (C) 2005 Red Hat, Inc.
# All rights reserved.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#

# END COPYRIGHT BLOCK

CLASS_DIR=$(BUILD_ROOT)/built/java/$(DIR)
DOC_DIR=$(CLASS_DIR)/doc
NMC_DIR=$(CLASS_DIR)/com/netscape/management
SOURCE_DIR=$(BUILD_ROOT)/admserv/console/$(DIR_SUFFIX)
PACKAGE_DIR=$(BUILD_ROOT)/built/package/java/$(DIR)

comma:= ,
empty:=
space:= $(empty) $(empty)

NO_BUILD_NUM=true

ifdef DEBUG
  JAVACFLAGS += -g
else
  JAVACFLAGS += -O
endif

ifdef DEPRECATION
  JAVACFLAGS += -deprecation
endif

LDAPJARFILE= $(CLASS_DEST)/ldapjdk.jar

ifdef GET_JAVA_FROM_PATH
PATH_SEP=:
CLASSPATH=  .$(PATH_SEP)$(SOURCE_DIR)$(PATH_SEP)$(LDAPJARFILE)
JAVAC=javac $(JAVACFLAGS)
JAVA=java $(JAVAFLAGS)
JAVADOC=javadoc
NMCJARS:=$(addprefix $(CLASS_DEST)/,$(NMCJDK_JARS))
else
ifeq ($(OS), Windows_NT)
PATH_SEP=;
JAVAC=javac $(JAVACFLAGS)
JAVA=java $(JAVAFLAGS)
JAVADOC=java -ms32m -mx48m sun.tools.javadoc.Main
CLASSPATH:=$(SOURCE_DIR)$(PATH_SEP)$(CLASS_DEST)$(PATH_SEP)$(LDAPJARFILE)
NMCJARS:=$(addprefix $(CLASS_DEST)/,$(NMCJDK_JARS))
else
PATH_SEP=:
CLASSPATH=  .$(PATH_SEP)$(SOURCE_DIR)$(PATH_SEP)$(LDAPJARFILE)
#JAVABIN=/share/builds/components/jdk/1.4.0_01/SunOS/bin
JAVABIN=/usr/java/j2sdk1.4.2_06/bin
JAVAC=${JAVABIN}/javac $(JAVACFLAGS)
JAVA=${JAVABIN}/java
JAVADOC=${JAVABIN}/javadoc
NMCJARS:=$(addprefix $(CLASS_DEST)/,$(NMCJDK_JARS))
endif
endif # GET_JAVA_FROM_PATH

CONSOLE_JARS=$(subst $(space),$(PATH_SEP),$(NMCJARS))
CLASSPATH:=$(CONSOLE_JARS)$(PATH_SEP)$(CLASSPATH)$(PATH_SEP)

