/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc.  Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 * END COPYRIGHT BLOCK **/

#define LIBRARY_NAME "userforms"

static char dbtuserformsid[] = "$DBT: userforms referenced v1 $";

#include "i18n.h"

/* Need to fix it for NLS */
#ifdef BUGBUG
BEGIN_STR(userforms)
	ResDef( DBT_LibraryID_, -1, dbtuserformsid )/* extracted from dbtuserforms.h*/
	ResDef( DBT_errorCouldNotOpenServersListFile_, 1, "Error: could not open servers list file.<p>\n" )/*extracted from enduser.c*/
	ResDef( DBT_errorCouldNotOpenSServerListFile_, 2, "Error: could not open %s server list file.<p>\n" )/*extracted from enduser.c*/
	ResDef( DBT_netscapeServerAccount_, 3, "Fedora Server Account" )/*extracted from enduser.c*/
	ResDef( DBT_serverAccountManagementFor_, 4, "Account Information for <b>%s" )/*extracted from enduser.c*/
	ResDef( DBT_serverAccountManagement_, 5, "Account Information" )/*extracted from enduser.c*/
	ResDef( DBT_errorFailedSecurityInit_, 6, "Error: Failed to perform security initialization for communication with LDAP in SSL mode" )/*extracted from enduser.c*/
	ResDef( DBT_errorBuildingLdapInfo_, 7, "Error: Failed to build Ldap Information.")/*extracted from enduser.c*/
	ResDef( DBT_errorBindingToLdapServer_, 8, "Error: Failed to bind to the directory server")/*extracted from enduser.c*/
	ResDef( DBT_errorConnectingToLdapServer_, 9, "Error: Failed to establish a connection with the directory server")/*extracted from enduser.c*/
	ResDef( DBT_errorNoProgramsFound_ , 10, "Error: No programs found.")/*extracted from enduser.c*/
	ResDef( DBT_errorNoProgramsMatchedPermissions_ , 11, "Error: Did not find any programs that matched your permissions.")/*extracted from enduser.c*/
	ResDef( DBT_errorInvalidSieDN_ , 12, "Error: Invalid SIE DN encountered while attempting to find enduser program names.")/*extracted from enduser.c*/
	ResDef( DBT_FormsList_ , 13, "Forms List")/*extracted from enduser.c*/

END_STR(userforms)
#endif

#define	DBT_LibraryID_ dbtuserformsid
#define	DBT_errorCouldNotOpenServersListFile_ "Error: could not open servers list file.<p>\n"
#define	DBT_errorCouldNotOpenSServerListFile_ "Error: could not open %s server list file.<p>\n"
#define	DBT_netscapeServerAccount_ "Fedora Server Account"
#define	DBT_serverAccountManagementFor_  "Account Information for <b>%s" 
#define	DBT_serverAccountManagement_ "Account Information" 
#define DBT_errorFailedSecurityInit_ "Error: Failed to perform security initialization for communication with LDAP in SSL mode." 
#define	DBT_errorBuildingLdapInfo_ "Error: Failed to build Ldap Information." 
#define	DBT_errorBindingToLdapServer_ "Error: Failed to bind to the directory server"
#define	DBT_errorConnectingToLdapServer_ "Error: Failed to establish a connection with the directory server"
#define DBT_errorNoProgramsFound_ "Error: No programs found."
#define DBT_errorNoProgramsMatchedPermissions_ "Error: Did not find any programs that matched your permissions."
#define DBT_errorInvalidSieDN_ "Error: Invalid SIE DN encountered while attempting to find enduser program names."
#define DBT_FormsList_ "Forms List"
